Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.commons
Class CommonsFileUploadSupport.MultipartParsingResult

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsFileUploadSupport.MultipartParsingResult

Enclosing class:
  CommonsFileUploadSupport

    protected static class CommonsFileUploadSupport.MultipartParsingResult

extends java.lang.Object

Holder for a Map of Spring MultipartFiles and a Map of multipart parameters.

Constructor Summary
`CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<java.lang.String,MultipartFile> mpFiles, java.util.Map<java.lang.String,java.lang.String[]> mpParams, java.util.Map<java.lang.String,java.lang.String> mpParamContentTypes)`

Method Summary
`MultiValueMap<java.lang.String,MultipartFile>` | `getMultipartFiles()`
`java.util.Map<java.lang.String,java.lang.String>` | `getMultipartParameterContentTypes()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getMultipartParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsFileUploadSupport.MultipartParsingResult

    public CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<java.lang.String,MultipartFile> mpFiles,
                                                           java.util.Map<java.lang.String,java.lang.String[]> mpParams,
                                                           java.util.Map<java.lang.String,java.lang.String> mpParamContentTypes)

Method Detail

### getMultipartFiles

    public MultiValueMap<java.lang.String,MultipartFile> getMultipartFiles()

### getMultipartParameters

    public java.util.Map<java.lang.String,java.lang.String[]> getMultipartParameters()

### getMultipartParameterContentTypes

    public java.util.Map<java.lang.String,java.lang.String> getMultipartParameterContentTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD